#include <SmoothServo.h> // Подключение библиотеки <SmoothServo.h> для работы с сервоприводами

#define KOVSH_DOWN 40 // Назначение угла поворота вала сервопривода, при котором ковш опущен

SmoothServo* kovsh; // Инициализация сервопривода и присвоение ему имени najimatel

void setup() {
Board::vertor_STM(); // Объявление типа используемого контроллера - vertor_STM

kovsh = new SmoothServo(0); // Указание номера штыря, к которому подключен сервопривод kovsh
                                        
kovsh->setMinAngularSpeed(70); // Установка минимальной угловой скорости поворота вала сервопривода kovsh
kovsh->setMaxAngularSpeed(180); // Установка максимальной угловой скорости поворота вала сервопривода kovsh
  
kovsh->begin(30); // Команда на запуск работы с сервоприводом kovsh
}

void loop() {
kovsh->smoothRotate(KOVSH_DOWN); // Команда на плавный поворот вала серводвигателя kovsh в положение KOVSH_DOWN градусов
delay(1000); // Ожидание 2 с.
}
